Package org.springframework.beans

# Class ExtendedBeanInfoFactory

java.lang.Object
org.springframework.beans.StandardBeanInfoFactory
org.springframework.beans.ExtendedBeanInfoFactory

All Implemented Interfaces:
  `BeanInfoFactory`, `org.springframework.core.Ordered`

public class ExtendedBeanInfoFactory extends StandardBeanInfoFactory
Extension of `StandardBeanInfoFactory` that supports "non-standard" JavaBeans setter methods through introspection by Spring's (package-visible) `ExtendedBeanInfo` implementation.

To be configured via a `META-INF/spring.factories` file with the following content: `org.springframework.beans.BeanInfoFactory=org.springframework.beans.ExtendedBeanInfoFactory`

Ordered at `Ordered.LOWEST_PRECEDENCE` to allow other user-defined `BeanInfoFactory` types to take precedence.

Since:
  3.2
Author:
  Chris Beams, Juergen Hoeller
See Also:
  - `StandardBeanInfoFactory`
  - `CachedIntrospectionResults`

## Field Summary

### Fields inherited from class org.springframework.beans.StandardBeanInfoFactory

`IGNORE_BEANINFO_PROPERTY_NAME`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`ExtendedBeanInfoFactory()`

## Method Summary

Modifier and Type
Method
Description
`BeanInfo`
`getBeanInfo(Class<?> beanClass)`
Return the bean info for the given class, if supported.

### Methods inherited from class org.springframework.beans.StandardBeanInfoFactory

`getOrder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExtendedBeanInfoFactory

public ExtendedBeanInfoFactory()

## Method Details

### getBeanInfo

@NonNull public BeanInfo getBeanInfo(Class<?> beanClass) throws IntrospectionException
Description copied from interface: `BeanInfoFactory`
Return the bean info for the given class, if supported.

Specified by:
  `getBeanInfo` in interface `BeanInfoFactory`
Overrides:
  `getBeanInfo` in class `StandardBeanInfoFactory`
Parameters:
  `beanClass` - the bean class
Returns:
  the BeanInfo, or `null` if the given class is not supported
Throws:
  `IntrospectionException` - in case of exceptions